gitit-0.12.1: Wiki using happstack, git or darcs, and pandoc.

Safe Haskell | None
Language | Haskell98

Network.Gitit.Page

Synopsis

- stringToPage :: Config -> String -> String -> Page
- pageToString :: Config -> Page -> String
- readCategories :: FilePath -> IO [String]

# Documentation

stringToPage :: Config -> String -> String -> Page Source

Read a string (the contents of a page file) and produce a Page object, using defaults except when overridden by metadata.

pageToString :: Config -> Page -> String Source

Write a string (the contents of a page file) corresponding to a Page object, using explicit metadata only when needed.

readCategories :: FilePath -> IO [String] Source

Read categories from metadata strictly.